Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::SessionControl`

## Overview

    interface SessionControl

An administrative session control object, which is tied to the lifecycle of a `Session`.

### See Also

`Session`

### Operation Index

`categories`

  Access the object that manages the allowable categories for object identities for this session.

`adapterIds`

  Access the object that manages the allowable adapter identities for objects for this session.

`identities`

  Access the object that manages the allowable object identities for this session.

`destroy`

  Destroy the associated session.

## `categories`

    StringSet* categories();

Access the object that manages the allowable categories for object identities for this session.

### Return Value

A StringSet object

## `adapterIds`

    StringSet* adapterIds();

Access the object that manages the allowable adapter identities for objects for this session.

### Return Value

A StringSet object

## `identities`

    IdentitySet* identities();

Access the object that manages the allowable object identities for this session.

### Return Value

An IdentitySet object

## `destroy`

    [ "ami" ]
    void destroy();

Destroy the associated session.

<<< Previous | Home | Next >>>
`Glacier2::Session` | Up | `Glacier2::SessionManager`